
Database - Feature #1953

Feature # 1651 (Closed): add support for dynamic database features

Feature # 1654 (Closed): add conversion and runtime support for dynamic buffer creation and cleanup

add conversion support for CREATE BUFFER statement

01/14/2013 07:45 PM - Eric Faulhaber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Conversion Support for Server Features   

billable: No vendor_id: GCD

Description

History

#1 - 01/14/2013 07:48 PM - Eric Faulhaber

This issue is meant to track conversion support only;  runtime implementation should be deferred as much as possible, except insofar as stubbed-out

runtime methods/classes need to be added to allow compilation of the converted code.

All history/discussion should be posted to the parent task.

#2 - 01/15/2013 12:44 PM - Ovidiu Maxiniuc

- Status changed from New to WIP

#3 - 01/17/2013 09:29 AM - Ovidiu Maxiniuc

- File om_upd20130117b.zip added

- Status changed from WIP to Review

#4 - 01/18/2013 04:20 AM - Ovidiu Maxiniuc

- File om_upd20130118a.zip added

#5 - 02/01/2013 10:37 AM - Eric Faulhaber

- % Done changed from 0 to 70

#6 - 02/16/2013 08:52 AM - Eric Faulhaber

- Status changed from Review to Closed

- % Done changed from 70 to 100

Updates (see #1652) were regression tested and checked into bzr revision 10171.

#7 - 03/04/2013 05:15 AM - Ovidiu Maxiniuc

- File om_upd20130303a.zip added

Added missing create() overloads.

Also reformatted and sorted so that they are more visible/countable.

Fixes compile issue #2068 - note 21.
#8 - 03/05/2013 09:07 PM - Eric Faulhaber

Update 20130303a looks fine, except that the zip file is based at the com directory instead of src.  Please fix this, commit to bzr, and distribute.

#9 - 03/06/2013 03:03 AM - Ovidiu Maxiniuc

Committed revision 10248.

#10 - 11/16/2016 11:07 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

om_upd20130117b.zip 78.2 KB 01/17/2013 Ovidiu Maxiniuc

om_upd20130118a.zip 78.1 KB 01/18/2013 Ovidiu Maxiniuc

om_upd20130303a.zip 70.4 KB 03/04/2013 Ovidiu Maxiniuc
